> ## Documentation Index
> Fetch the complete documentation index at: https://docs.imprint.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer's current rewards balance



## OpenAPI

````yaml /api-reference/openapi.yaml get /v2/customers/{customer_id}/rewards_balance
openapi: 3.1.0
info:
  title: Public Imprint API
  version: '2.0'
servers:
  - url: https://dev.sbx.imprint.co
    description: Imprint public api sandbox
security:
  - basicAuth: []
  - bearerAuth: []
paths:
  /v2/customers/{customer_id}/rewards_balance:
    get:
      tags:
        - Customers
      summary: Get customer's current rewards balance
      operationId: getRewardsBalance
      parameters:
        - $ref: '#/components/parameters/customerIdParam'
          name: customer_id
      responses:
        '200':
          description: Customer rewards balance
          content:
            application/json:
              schema:
                type: object
                required:
                  - customer_id
                  - reward_balance
                  - reward_symbol
                properties:
                  customer_id:
                    type: string
                    description: The unique identifier for the customer
                    example: 2EE24580-B97B-4949-A65C-929CCB9B9B8D
                  reward_balance:
                    type: integer
                    description: The integer value of the customer's rewards balance
                    example: 120000
                  reward_symbol:
                    type: string
                    description: >-
                      The symbol for the rewards. Can be in currency like `$` or
                      things like `points`
                  reward_description:
                    type: string
                    description: >-
                      The description of the rewards, can be displayed to the
                      customer
        '404':
          description: Customer not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerNotFoundError'
components:
  parameters:
    customerIdParam:
      name: customer_id
      in: path
      required: true
      description: The unique identifier for the Imprint customer
      schema:
        type: string
        example: 2EE24580-B97B-4949-A65C-929CCB9B9B8D
  schemas:
    CustomerNotFoundError:
      type: object
      required:
        - type
        - message
      properties:
        type:
          type: string
          description: The category of error being returned
          example: CUSTOMER_NOT_FOUND_ERROR
        message:
          type: string
          description: A message describing the cause of the error
          example: 'Customer not found for provided ID: CSMR-v1-123'
        param:
          type: string
          description: The param causing the error
          example: customer_id
  securitySchemes:
    bearerAuth:
      bearerFormat: auth-scheme
      description: >-
        Bearer HTTP authentication. Allowed headers-- Authorization: Bearer
        <api_key>
      scheme: bearer
      type: http

````